Page MenuHomePhabricator

Static mapframe not clickable in 1.34.0-wmf.1
Closed, ResolvedPublicBug

Description

After last software update mapframes are without link. E.g. here maps are currently without links to open full screen map. On Wikipedia I still see many maps that are clickable, but then purging a page is enough to make the link go away. This concerns static maps, dynamic maps in page preview are still clickable.

It probably relates to T220489. @Fomafix, @MaxSem, could you please have a look.

Event Timeline

Pikne created this task.Apr 19 2019, 8:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 19 2019, 8:16 AM

Change 505217 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/extensions/Kartographer@master] Support data-mw="interface" also in staticframe

https://gerrit.wikimedia.org/r/505217

Fomafix claimed this task.Apr 19 2019, 9:04 AM
Fomafix changed the subtype of this task from "Task" to "Bug Report".
Fomafix triaged this task as Unbreak Now! priority.
Restricted Application added subscribers: Liuxinyu970226, Mholloway, TerraCodes. · View Herald TranscriptApr 20 2019, 8:35 AM

Change 505639 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/Kartographer@master] Static mapframe not clickable in 1.34.0-wmf.1

https://gerrit.wikimedia.org/r/505639

Change 505639 abandoned by MSantos:
Static mapframe not clickable in 1.34.0-wmf.1

Reason:
It already had a patch I40ca117ce4c51fbce0eced8ae29675ac12fdbe9c

https://gerrit.wikimedia.org/r/505639

Change 505217 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Support data-mw="interface" also in staticframe

https://gerrit.wikimedia.org/r/505217

Jc86035 added a comment.EditedWed, Apr 24, 3:40 PM

From the duplicate issue: I would have thought the problem was (at least partly) this CSS –

.client-js .mw-kartographer-maplink:not(.mw-kartographer-link):not(.ve-ce-focusableNode),
.client-js .mw-kartographer-map:not(.mw-kartographer-link):not(.mw-kartographer-interactive) {
 pointer-events:none;
 cursor:default
}

Because the CSS classes of the link changed (and the selector now matches the element), the image stopped being clickable even though the rest of the HTML was fine. I don't know whether this is the whole issue.

Change 506363 had a related patch set uploaded (by Pikne; owner: Fomafix):
[mediawiki/extensions/Kartographer@wmf/1.34.0-wmf.1] Support data-mw="interface" also in staticframe

https://gerrit.wikimedia.org/r/506363

Change 506363 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@wmf/1.34.0-wmf.1] Support data-mw="interface" also in staticframe

https://gerrit.wikimedia.org/r/506363

Mentioned in SAL (#wikimedia-operations) [2019-04-25T11:54:42Z] <lucaswerkmeister-wmde@deploy1001> Synchronized php-1.34.0-wmf.1/extensions/Kartographer/: SWAT: [[gerrit:506363|Support data-mw="interface" also in staticframe (T221439)]] (duration: 00m 54s)

Pikne closed this task as Resolved.Thu, Apr 25, 12:13 PM

I was bold and I arranged a SWAT deploy, instead of waiting another week until this gets fixed on Wikipedias.